Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(126)

Unified Diff: tool/build_sdk.sh

Issue 1162723007: remove generated_sdk from checked in code (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 5 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tool/README.md ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/build_sdk.sh
diff --git a/tool/build_sdk.sh b/tool/build_sdk.sh
index 80d387acd202187ba8d24c5ca75271ee50bd38a9..9d5078ee981c6ce84edf316725092a1c650da1e5 100755
--- a/tool/build_sdk.sh
+++ b/tool/build_sdk.sh
@@ -4,8 +4,8 @@ set -e
cd $( dirname "${BASH_SOURCE[0]}" )/..
echo "*** Patching SDK"
-rm -r test/generated_sdk || true
-dart -c tool/patch_sdk.dart tool/input_sdk test/generated_sdk
+rm -r tool/generated_sdk || true
+dart -c tool/patch_sdk.dart tool/input_sdk tool/generated_sdk
echo "*** Compiling SDK to JavaScript"
if [[ -d lib/runtime/dart ]] ; then
@@ -14,8 +14,8 @@ fi
# TODO(jmesserly): for now we're suppressing errors in SDK compilation
dart -c bin/devc.dart --no-source-maps --sdk-check --force-compile -l warning \
- --dart-sdk test/generated_sdk -o lib/runtime/ dart:core \
- > test/generated_sdk/sdk_errors.txt || true
+ --dart-sdk tool/generated_sdk -o lib/runtime/ dart:core \
+ > tool/generated_sdk/sdk_errors.txt || true
if [[ ! -f lib/runtime/dart/core.js ]] ; then
echo 'core.js not found, assuming build failed.'
@@ -23,7 +23,7 @@ if [[ ! -f lib/runtime/dart/core.js ]] ; then
exit 1
fi
-DIFF_ARGS="-u tool/sdk_expected_errors.txt test/generated_sdk/sdk_errors.txt"
+DIFF_ARGS="-u tool/sdk_expected_errors.txt tool/generated_sdk/sdk_errors.txt"
if ! (diff $DIFF_ARGS > /dev/null) ; then
diff $DIFF_ARGS |\
@@ -31,6 +31,6 @@ if ! (diff $DIFF_ARGS > /dev/null) ; then
sed -e "s/^\(-.*\)/\1/"
echo
echo 'SDK errors have changed. To update expectations, run:'
- echo '$ cp test/generated_sdk/sdk_errors.txt tool/sdk_expected_errors.txt'
+ echo '$ cp tool/generated_sdk/sdk_errors.txt tool/sdk_expected_errors.txt'
exit 1
fi
« no previous file with comments | « tool/README.md ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698